import { IToken } from "./interfaces";
/**
 * The tokenizer accepts a SWIFT field pattern and returns an array of tokens.
 *
 * ```
 * const tokens = tokenizer("35a");
 * // => [{ type: "num", value: "35" },  { type: "char", value: "a" }]
 * ```
 *
 * @param input the SWIFT field pattern string
 * @returns the tokens array
 */
export declare const tokenizer: (input: string) => IToken[];
